using Moq;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Xunit;

namespace Fody.EnableFaking.Tests
{
    public class Tests
    {
        [Fact]
        void test_of_non_virtualclass()
        {
            var mockRepository = new MockRepository(MockBehavior.Strict);
            var mock = mockRepository.Create<ClassToBeTested>();

            mock.Setup(x => x.AnotherMethod()).Returns("mokujemy jak zawodowcy");

            Assert.Equal("mokujemy jak zawodowcy", mock.Object.AnotherMethod());
        }
    }
}
